{
  description = "fast and simple tripplanner";

  inputs = {
    flake-utils.url = "github:numtide/flake-utils";
    nixpkgs.url     = "github:NixOS/nixpkgs/nixos-22.11";
  };

  outputs = { self, nixpkgs, flake-utils }: {

    overlay = final: prev: {

      oeffisearch = (
      	let
          nimhafas = final.fetchgit {
            url    = "https://cgit.ctu.cx/nimhafas";
            rev    = "4a4a0d3d4ae86aa9245a9c79bba1f80811407ba5";
            sha256 = "sha256-q1nKDavzUghsL2Amyg/fJYYmg9zPrWH3b8R+D0YK+FA";
          };

      	in final.nimPackages.buildNimPackage {
          name        = "oeffisearch";
          src         = self;

          buildInputs = [ nimhafas ];

          nimBinOnly  = true;
          nimRelease  = true;

          postInstall = ''
            mkdir $out/share;
            cp -r $src/client $out/share/oeffisearch;
          '';
        }
      );

    };

  } // (flake-utils.lib.eachDefaultSystem (system:
    let
      pkgs = import nixpkgs {
        inherit system;
        overlays = [ self.overlay ];
      };

    in rec {

      packages.default     = packages.oeffisearch;
      packages.oeffisearch = pkgs.oeffisearch;

      apps.default = {
        type = "app";
        program = "${pkgs.oeffisearch}/bin/oeffisearch";
      };

    }
  ));
}